Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class StatefulHASessionPersistenceManager

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.ejb.plugins.StatefulHASessionPersistenceManager

All Implemented Interfaces:
  org.jboss.ejb.AllowedOperationsFlags, org.jboss.ejb.ContainerPlugin, HAPersistentManager, HASessionState.HASessionStateListener, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean, org.jboss.ejb.StatefulSessionPersistenceManager

public class StatefulHASessionPersistenceManager
extends org.jboss.system.ServiceMBeanSupport
implements org.jboss.ejb.StatefulSessionPersistenceManager, HASessionState.HASessionStateListener, HAPersistentManager

This persistence manager work with an underlying HASessionState to get clustered state.

Version:
  $Revision: 1.13 $

  Revisions:

Author:
  Sacha Labourey, Jason Dillon
See Also:
  `HASessionState`, `HASessionStateImpl`

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`StatefulHASessionPersistenceManager()` Creates new StatefulHASessionPersistenceManager

Method Summary
`void` | `activateSession(org.jboss.ejb.StatefulSessionEnterpriseContext ctx)`
`void` | `createdSession(org.jboss.ejb.StatefulSessionEnterpriseContext ctx)`
`Object` | `createId(org.jboss.ejb.StatefulSessionEnterpriseContext ctx)`
`protected void` | `createService()`
`void` | `newSessionStateTopology(HAPartition haSubPartition)`
`void` | `passivateSession(org.jboss.ejb.StatefulSessionEnterpriseContext ctx)`
`void` | `removePassivated(Object key)`
`void` | `removeSession(org.jboss.ejb.StatefulSessionEnterpriseContext ctx)`
`void` | `sessionExternallyModified(PackagedSession session)`
`void` | `setContainer(org.jboss.ejb.Container c)`
`protected void` | `stopService()`
`void` | `synchroSession(org.jboss.ejb.StatefulSessionEnterpriseContext ctx)`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### StatefulHASessionPersistenceManager

    public StatefulHASessionPersistenceManager()

  Creates new StatefulHASessionPersistenceManager

Method Detail

### setContainer

    public void setContainer(org.jboss.ejb.Container c)

  Specified by:
    `setContainer` in interface `org.jboss.ejb.ContainerPlugin`

### createService

    protected void createService()
                          throws Exception

  Throws:
    `Exception`

### stopService

    protected void stopService()

### createId

    public Object createId(org.jboss.ejb.StatefulSessionEnterpriseContext ctx)
                    throws Exception

  Specified by:
    `createId` in interface `org.jboss.ejb.StatefulSessionPersistenceManager`
  Throws:
    `Exception`

### createdSession

    public void createdSession(org.jboss.ejb.StatefulSessionEnterpriseContext ctx)
                        throws Exception

  Specified by:
    `createdSession` in interface `org.jboss.ejb.StatefulSessionPersistenceManager`
  Throws:
    `Exception`

### activateSession

    public void activateSession(org.jboss.ejb.StatefulSessionEnterpriseContext ctx)
                         throws RemoteException

  Specified by:
    `activateSession` in interface `org.jboss.ejb.StatefulSessionPersistenceManager`
  Throws:
    `RemoteException`

### passivateSession

    public void passivateSession(org.jboss.ejb.StatefulSessionEnterpriseContext ctx)
                          throws RemoteException

  Specified by:
    `passivateSession` in interface `org.jboss.ejb.StatefulSessionPersistenceManager`
  Throws:
    `RemoteException`

### synchroSession

    public void synchroSession(org.jboss.ejb.StatefulSessionEnterpriseContext ctx)
                        throws RemoteException

  Specified by:
    `synchroSession` in interface `HAPersistentManager`
  Throws:
    `RemoteException`

### removeSession

    public void removeSession(org.jboss.ejb.StatefulSessionEnterpriseContext ctx)
                       throws RemoteException,
                              javax.ejb.RemoveException

  Specified by:
    `removeSession` in interface `org.jboss.ejb.StatefulSessionPersistenceManager`
  Throws:
    `RemoteException`
    `javax.ejb.RemoveException`

### removePassivated

    public void removePassivated(Object key)

  Specified by:
    `removePassivated` in interface `org.jboss.ejb.StatefulSessionPersistenceManager`

### sessionExternallyModified

    public void sessionExternallyModified(PackagedSession session)

  Specified by:
    `sessionExternallyModified` in interface `HASessionState.HASessionStateListener`

### newSessionStateTopology

    public void newSessionStateTopology(HAPartition haSubPartition)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.